Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Dumpable_Adapter< Concrete > Class Template Reference

This class inherits the interface of the abstract ACE_Dumpable class and is instantiated with the implementation of the concrete component class <class Concrete>. More...

`#include <Dump_T.h>`

Inheritance diagram for ACE_Dumpable_Adapter< Concrete >:

[legend]
Collaboration diagram for ACE_Dumpable_Adapter< Concrete >:

[legend]
List of all members.

## Public Methods
| ACE_Dumpable_Adapter (const Concrete *t)
| ~ACE_Dumpable_Adapter (void)
virtual void | dump (void) const
Concrete * | operator-> () const
| Delegate to methods in the Concrete class.
## Private Attributes
const Concrete * | this_
| Pointer to <this> of <class Concrete>.

## Detailed Description

### template<class Concrete>
class ACE_Dumpable_Adapter< Concrete >

This class inherits the interface of the abstract ACE_Dumpable class and is instantiated with the implementation of the concrete component class <class Concrete>.

This design is similar to the Adapter and Decorator patterns from the ``Gang of Four'' book. Note that <class Concrete> need not inherit from a common class since ACE_Dumpable provides the uniform virtual interface!

## Constructor & Destructor Documentation

template<class Concrete>
ACE_Dumpable_Adapter< Concrete >::ACE_Dumpable_Adapter | ( | const Concrete * | t | ) |

template<class Concrete>
ACE_Dumpable_Adapter< Concrete >::~ACE_Dumpable_Adapter | ( | void |  | ) |

## Member Function Documentation

template<class Concrete>
void ACE_Dumpable_Adapter< Concrete >::dump | ( | void |  | ) | const`[virtual]`

| Concrete dump method (simply delegates to the <dump> method of <class Concrete>). Implements ACE_Dumpable.

template<class Concrete>
Concrete * ACE_Dumpable_Adapter< Concrete >::operator-> | ( |  | ) |

| Delegate to methods in the Concrete class.

## Member Data Documentation

template<class Concrete>
const Concrete* ACE_Dumpable_Adapter< Concrete >::this_`[private]`

| Pointer to <this> of <class Concrete>. Reimplemented from ACE_Dumpable.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Dump_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Dump_T.cpp